% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils_factor.R
\name{bins_percent_labels}
\alias{bins_percent_labels}
\title{Labels for bins in percent}
\usage{
bins_percent_labels(probs, digits = 0)
}
\arguments{
\item{probs}{(\code{numeric})\cr the probabilities identifying the quantiles.
This is a sorted vector of unique \code{proportion} values, i.e. between 0 and 1, where
the boundaries 0 and 1 must not be included.}

\item{digits}{(\code{integer(1)})\cr number of decimal places to round the percent numbers.}
}
\value{
A \code{character} vector with labels in the format \verb{[0\%,20\%]}, \verb{(20\%,50\%]}, etc.
}
\description{
This creates labels for quantile based bins in percent. This assumes the right-closed
intervals as produced by \code{\link[=cut_quantile_bins]{cut_quantile_bins()}}.
}
\keyword{internal}
