% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils_grid.R
\name{draw_grob}
\alias{draw_grob}
\title{Draw \code{grob}}
\usage{
draw_grob(grob, newpage = TRUE, vp = NULL)
}
\arguments{
\item{grob}{(\code{grob})\cr grid object.}

\item{newpage}{(\code{flag})\cr draw on a new page.}

\item{vp}{(\code{viewport} or \code{NULL})\cr a \code{\link[=viewport]{viewport()}} object (or \code{NULL}).}
}
\value{
A \code{grob}.
}
\description{
\ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#deprecated}{\figure{lifecycle-deprecated.svg}{options: alt='[Deprecated]'}}}{\strong{[Deprecated]}}

Draw grob on device page.
}
\examples{
library(dplyr)
library(grid)

\donttest{
rect <- rectGrob(width = grid::unit(0.5, "npc"), height = grid::unit(0.5, "npc"))
rect \%>\% draw_grob(vp = grid::viewport(angle = 45))

num <- lapply(1:10, textGrob)
num \%>\%
  arrange_grobs(grobs = .) \%>\%
  draw_grob()
showViewport()
}

}
